# Delete reusable self-serve machine type | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Delete reusable self-serve machine type

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

DELETE /department/selfserve/machine-types

## Operation

Operation ID: `deleteSelfserveMachineType`

Delete reusable self-serve machine type

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | yes | integer |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Successfully deleted machine type | application/json
404 |  |

Schema for response `200` (`application/json`):

{ "example": "Machine type deleted", "type": "string" }
17 March 2026